> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/import/import-results.md).

# Import Results

Additional information about finished import jobs

## List the errors of a finished import job

> Returns a list of errors of a finished import job with the specified ID. By default the maximum number of results is limited to 1000.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Import API","version":"2.0"},"tags":[{"name":"Import Results","description":"Additional information about finished import jobs"}],"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":["kg.view-all"]},{"oauth2":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","description":"Collibra REST API authentication using Basic Authentication.","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource"}}}}},"schemas":{"ImportErrorPagedResponse":{"type":"object","properties":{"total":{"type":"integer","description":"The total number of results.","format":"int64"},"offset":{"type":"integer","description":"The offset for the results.","format":"int64"},"limit":{"type":"integer","description":"The maximum number of results to be returned.","format":"int64"},"results":{"type":"array","description":"The list of results.","items":{"$ref":"#/components/schemas/ImportError"}}}},"ImportError":{"type":"object","properties":{"errorType":{"type":"string","description":"Import error type.","enum":["VALIDATION","RUNTIME"]},"resourceType":{"type":"string","description":"Import resource type.","enum":["COMMUNITY","DOMAIN","ASSET","ATTRIBUTE","RELATION","COMPLEX_RELATION","MAPPING","RESPONSIBILITY"]},"errorMessage":{"type":"string","description":"User friendly error message."},"command":{"$ref":"#/components/schemas/ImportCommandReference"}},"description":"Import job error."},"ImportCommandReference":{"type":"object","properties":{"indices":{"type":"array","description":"A list of indices of the import command in the input file.","items":{"type":"integer","description":"A list of indices of the import command in the input file.","format":"int32"}},"identifier":{"type":"string","description":"Import command identifier."}},"description":"A reference to the import command."}}},"paths":{"/import/results/{jobId}/errors":{"get":{"tags":["Import Results"],"summary":"List the errors of a finished import job","description":"Returns a list of errors of a finished import job with the specified ID. By default the maximum number of results is limited to 1000.","operationId":"findImportErrors","parameters":[{"name":"jobId","in":"path","description":"The ID of the job","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"offset","in":"query","description":"The first result to retrieve. If not set (offset = <code>0</code>), results will be retrieved starting from row <code>0</code>.","schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","description":"The maximum number of results to retrieve. If not set (limit = <code>0</code>), the default limit will be used. The maximum allowed limit is 1000.","schema":{"type":"integer","format":"int32","default":0}},{"name":"countLimit","in":"query","description":"Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped","schema":{"type":"integer","format":"int32","default":-1}}],"responses":{"200":{"description":"Import errors paged response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportErrorPagedResponse"}}}},"400":{"description":"Import job is not finished"},"404":{"description":"Import job not found"}}}}}}
```

## Retrieve a summary of a finished import job

> Returns details about a finished import job with the specified ID such as the total number of resources and types of resources that were added, removed or updated and the number of errors.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Import API","version":"2.0"},"tags":[{"name":"Import Results","description":"Additional information about finished import jobs"}],"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":["kg.view-all"]},{"oauth2":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","description":"Collibra REST API authentication using Basic Authentication.","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource"}}}}},"schemas":{"ImportSummary":{"type":"object","properties":{"resourceTypes":{"type":"array","description":"A list of the resource type import summary.","items":{"$ref":"#/components/schemas/ResourceTypeSummary"}},"errorsCount":{"type":"integer","description":"The total number of errors the occurred during the import.","format":"int32"},"importJobState":{"type":"string","description":"Import job state.","enum":["COMPLETED","FAILED","COMPLETED_WITH_ERRORS","ABORTED"]}},"description":"A summary of the import."},"ResourceTypeSummary":{"type":"object","properties":{"resourceType":{"type":"string","description":"Import resource type.","enum":["COMMUNITY","DOMAIN","ASSET","ATTRIBUTE","RELATION","COMPLEX_RELATION","MAPPING","RESPONSIBILITY"]},"counters":{"$ref":"#/components/schemas/ImportCounters"},"subcategories":{"type":"array","description":"A detailed summary of the number of resources that have been affected by the import job. This can be empty for some resource types, f.e. <code>Mapping</code>.","items":{"$ref":"#/components/schemas/SubcategorySummary"}}},"description":"A summary of the import for a particular resource, for example Community, Domain or Asset."},"ImportCounters":{"type":"object","properties":{"added":{"type":"integer","description":"The number of added resources.","format":"int32"},"removed":{"type":"integer","description":"The number of removed resources.","format":"int32"},"updated":{"type":"integer","description":"The number of updated resources.","format":"int32"}},"description":"The number of added, removed or updated resources."},"SubcategorySummary":{"type":"object","properties":{"category":{"$ref":"#/components/schemas/CategoryReference"},"counters":{"$ref":"#/components/schemas/ImportCounters"}},"description":"A summary of the import for a particular type of resource, for example Physical Data Dictionary or Business Term."},"CategoryReference":{"type":"object","properties":{"id":{"type":"string","description":"The <code>ID</code> of the category.","format":"uuid"},"name":{"type":"string","description":"The name of the category."}},"description":"A reference to the type of resource, for example Physical Data Dictionary or Business Term."}}},"paths":{"/import/results/{jobId}/summary":{"get":{"tags":["Import Results"],"summary":"Retrieve a summary of a finished import job","description":"Returns details about a finished import job with the specified ID such as the total number of resources and types of resources that were added, removed or updated and the number of errors.","operationId":"getImportJobSummary","parameters":[{"name":"jobId","in":"path","description":"The ID of the job","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Import job summary","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportSummary"}}}},"400":{"description":"Import job is not finished"},"404":{"description":"Import job not found"}}}}}}
```
